/*
 * @author lsy
 * @date   2019-09-03
 **/

import 'package:flutter/material.dart';
import 'package:gmalpha_flutter/Annotations/RouterBaser.dart';
import 'package:gmalpha_flutter/Annotations/anno/Router.dart';
import 'package:gmalpha_flutter/UserModel/UserRouterImpl.dart';

@Router("UserModel", UserRouterImpl, true)
abstract class UserRouter implements RouterBaser {
  Widget getUserPage();

  Widget getUserSettingPage(String userID, String refer);

  Widget getCommentPage(String refer);

  Widget getReputationsPage(int userId, String userName, String fromPage);

  void loginChangeUserID(String userId);
}
